> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment configuration



## OpenAPI

````yaml api-reference/openapi.yaml get /deployments/configurations/{configurationId}
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /deployments/configurations/{configurationId}:
    get:
      tags:
        - Deployments
      summary: Get deployment configuration
      operationId: getDeploymentConfiguration
      parameters:
        - $ref: '#/components/parameters/ConfigurationId'
      responses:
        '200':
          description: Configuration
          content:
            application/json:
              schema:
                type: object
                properties:
                  configuration:
                    $ref: '#/components/schemas/DeploymentConfiguration'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ConfigurationId:
      name: configurationId
      in: path
      required: true
      schema:
        type: string
      description: Deployment configuration ID.
  schemas:
    DeploymentConfiguration:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        name:
          type: string
        description:
          oneOf:
            - type: string
            - type: 'null'
        yaml:
          type: string
        spec_hash:
          type: string
        resource_count:
          type: integer
        created_at:
          type: integer
        updated_at:
          type: integer
        latest_pushed_version_id:
          oneOf:
            - type: string
            - type: 'null'
        latest_pushed_version_number:
          oneOf:
            - type: integer
            - type: 'null'
        latest_pushed_spec_hash:
          oneOf:
            - type: string
            - type: 'null'
        latest_pushed_at:
          oneOf:
            - type: integer
            - type: 'null'
      required:
        - id
        - team_id
        - name
        - yaml
        - spec_hash
        - resource_count
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  responses:
    NotFound:
      description: Resource not found or unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````